---
title: Tasks
slug: tasks
docTags: 
createdAt: 2022-04-14T07:58:08.000Z
---

Methods allow you to get a list of portal tasks or information on a specific task.

***

::::ExpandableHeading{isOpen="true"}
# <font color="#2166ae">GET</font> /tasks

Return a list of tasks.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.0/tasks/",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "limit",
        "type": "Integer",
        "description": "The number of results to return per page."
      },
      {
        "kind": "optional",
        "name": "offset",
        "type": "Integer",
        "description": "The initial index from which to return the results."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "FJ3zsBaijz6TuVFI40xNy",
        "code": "{\n   \"count\":45,\n   \"next\":null,\n   \"previous\":\"https://test.eyrene.com/api/data/tasks/?limit=30&offset=30\",\n   \"results\":[\n      {\n         \"id\":111,\n         \"name\":\"Coffee home shelf\",\n         \"short_description\":null,\n         \"long_description\":\"\",\n         \"is_enabled\":true,\n         \"is_required\":false\n      },\n      {\n         \"id\":125,\n         \"name\":\"Required photo task\",\n         \"short_description\":\"I am a task, you know what to do\",\n         \"long_description\":\"Enjoy sea reveal brother fall owner. Speak pass heart she.\\r\\nCut piece purpose free opportunity around. Writer whether central improve point personal service. Only western physical another.\",\n         \"is_enabled\":false,\n         \"is_required\":false\n      },\n      {\n         \"id\":152,\n         \"name\":\"Required task\",\n         \"short_description\":\"I am a task, you know what to do\",\n         \"long_description\":\"Response school trial western. Ago phone develop. Attorney former management form time gas.\\r\\nRace this better perhaps child. Together many customer national without common your.\",\n         \"is_enabled\":false,\n         \"is_required\":true\n      }\"...\"\n   ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "FJ3zsBaijz6TuVFI40xNy"
  },
  "examples": {
    "languages": [
      {
        "id": "dpmODah_ZAOTKtuSexN5X",
        "code": "curl –i –X GET\n  https://test.eyrene.com/api/data/v1.0/tasks/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dpmODah_ZAOTKtuSexN5X"
  },
  "description": "GET /tasks",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example",
  "legacyHash": "lr1a7v9xIaJKB9zLMJRZJ"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1/agents/agents_list#response-definitions)

***

**`count`** *integer*

The number of tasks.

***

**`next`** *string (uri)* <font color="#2166ae">Nullable</font>

Next page.

***

**`previous`** *string (uri)* <font color="#2166ae">Nullable</font>

Previous page.

***

**`results`** *array of objects*

An array of objects with information about manufacturers.

- **`id`** *integer*
  Task ID.
- **`name`** *string* <font color="#2166ae">\[ 1 .. 255 \] characters</font>
  Task name.
- **`short_description`** *string* <font color="#2166ae">&lt;= 255 characters Nullable</font>
  Task short description.
- **`long_description`** *string* <font color="#2166ae">Nullable</font>
  Task full description.
- **`is_enabled`** *boolean*
  Task enabled or disabled.
- **`is_required`** *boolean*
  The required task to be completed.

***


::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#2166ae">GET</font> /tasks/&#x7B;id}

Returns information about SKU by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.0/tasks/{id}",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Task ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "FJ3zsBaijz6TuVFI40xNy",
        "code": "{\n   \"id\":125,\n   \"name\":\"Required photo task\",\n   \"short_description\":\"I am a task, you know what to do\",\n   \"long_description\":\"Enjoy sea reveal brother fall owner. Speak pass heart she.\\r\\nCut piece purpose free opportunity around. Writer whether central improve point personal service. Only western physical another.\",\n   \"is_enabled\":false,\n   \"is_required\":false\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "FJ3zsBaijz6TuVFI40xNy"
  },
  "examples": {
    "languages": [
      {
        "id": "dpmODah_ZAOTKtuSexN5X",
        "code": "curl –i –X GET\n  https://test.eyrene.com/api/data/v1.0/tasks/125/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dpmODah_ZAOTKtuSexN5X"
  },
  "description": "GET /sku/{id}",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-1",
  "legacyHash": "-MlFTJX3Q8Ky61u5vonEK"
}
```
:::

## Response parameters



***

**`id`** *integer*

Task ID.

***

**`name`** *string* <font color="#2166ae">\[ 1 .. 255 \] characters</font>

Task name.

***

**`short_description`** *string* <font color="#2166ae">&lt;= 255 characters Nullable</font>

Task short description.

***

**`long_description`** *string* <font color="#2166ae">Nullable</font>

Task full description.

***

**`is_enabled`** *boolean*

Task enabled or disabled.

***

**`is_required`** *boolean*

The required task to be completed.

***


::::

***

